package com.cataworx;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class BillingReport implements java.io.Serializable{
	
	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("maxBurst")
	private Integer maxBurst;
	@org.kie.api.definition.type.Label("burstCount")
	private Integer burstCount;
	@org.kie.api.definition.type.Label("charge")
	private Integer charge;
	@org.kie.api.definition.type.Label("serviceId")
	private java.lang.String serviceId;
	@org.kie.api.definition.type.Label("committedRate")
	private Integer committedRate;
	@org.kie.api.definition.type.Label("startTime")
	private java.lang.String startTime;
	@org.kie.api.definition.type.Label("endTime")
	private java.lang.String endTime;

	@org.kie.api.definition.type.Label(value = "peakThreshold")
	private java.lang.Integer peakThreshold;

	@org.kie.api.definition.type.Label(value = "providerTenantName")
	private java.lang.String providerTenantName;

	@org.kie.api.definition.type.Label(value = "subTenantName")
	private java.lang.String subTenantName;

	@org.kie.api.definition.type.Label(value = "metricType")
	private java.lang.String metricType;

	@org.kie.api.definition.type.Label(value = "granularity")
	private java.lang.String granularity;

	@org.kie.api.definition.type.Label(value = "dataPercentile")
	private java.lang.Integer dataPercentile;

	@org.kie.api.definition.type.Label(value = "percentile")
	private java.lang.Integer percentile;

	@org.kie.api.definition.type.Label(value = "performanceData")
	private java.util.List<com.cataworx.PerformanceData> performanceData;

	public BillingReport() {
	}

	public java.lang.String getServiceId() {
		return this.serviceId;
	}

	public void setServiceId(java.lang.String serviceId) {
		this.serviceId = serviceId;
	}

	public java.lang.String getStartTime() {
		return this.startTime;
	}

	public void setStartTime(java.lang.String startTime) {
		this.startTime = startTime;
	}

	public java.lang.String getEndTime() {
		return this.endTime;
	}

	public void setEndTime(java.lang.String endTime) {
		this.endTime = endTime;
	}

	public java.lang.Integer getMaxBurst() {
		return this.maxBurst;
	}

	public void setMaxBurst(java.lang.Integer maxBurst) {
		this.maxBurst = maxBurst;
	}

	public java.lang.Integer getBurstCount() {
		return this.burstCount;
	}

	public void setBurstCount(java.lang.Integer burstCount) {
		this.burstCount = burstCount;
	}

	public java.lang.Integer getCharge() {
		return this.charge;
	}

	public void setCharge(java.lang.Integer charge) {
		this.charge = charge;
	}

	public java.lang.Integer getCommittedRate() {
		return this.committedRate;
	}

	public void setCommittedRate(java.lang.Integer committedRate) {
		this.committedRate = committedRate;
	}

	public java.lang.Integer getPeakThreshold() {
		return this.peakThreshold;
	}

	public void setPeakThreshold(java.lang.Integer peakThreshold) {
		this.peakThreshold = peakThreshold;
	}

	public java.lang.String getProviderTenantName() {
		return this.providerTenantName;
	}

	public void setProviderTenantName(java.lang.String providerTenantName) {
		this.providerTenantName = providerTenantName;
	}

	public java.lang.String getSubTenantName() {
		return this.subTenantName;
	}

	public void setSubTenantName(java.lang.String subTenantName) {
		this.subTenantName = subTenantName;
	}

	public java.lang.String getMetricType() {
		return this.metricType;
	}

	public void setMetricType(java.lang.String metricType) {
		this.metricType = metricType;
	}

	public java.lang.String getGranularity() {
		return this.granularity;
	}

	public void setGranularity(java.lang.String granularity) {
		this.granularity = granularity;
	}

	public java.lang.Integer getDataPercentile() {
		return this.dataPercentile;
	}

	public void setDataPercentile(java.lang.Integer dataPercentile) {
		this.dataPercentile = dataPercentile;
	}

	public java.lang.Integer getPercentile() {
		return this.percentile;
	}

	public void setPercentile(java.lang.Integer percentile) {
		this.percentile = percentile;
	}

	public java.util.List<com.cataworx.PerformanceData> getPerformanceData() {
		return this.performanceData;
	}

	public void setPerformanceData(
			java.util.List<com.cataworx.PerformanceData> performanceData) {
		this.performanceData = performanceData;
	}

	public BillingReport(java.lang.Integer maxBurst,
			java.lang.Integer burstCount, java.lang.Integer charge,
			java.lang.String serviceId, java.lang.Integer committedRate,
			java.lang.String startTime, java.lang.String endTime,
			java.lang.Integer peakThreshold,
			java.lang.String providerTenantName,
			java.lang.String subTenantName, java.lang.String metricType,
			java.lang.String granularity, java.lang.Integer dataPercentile,
			java.lang.Integer percentile,
			java.util.List<com.cataworx.PerformanceData> performanceData) {
		this.maxBurst = maxBurst;
		this.burstCount = burstCount;
		this.charge = charge;
		this.serviceId = serviceId;
		this.committedRate = committedRate;
		this.startTime = startTime;
		this.endTime = endTime;
		this.peakThreshold = peakThreshold;
		this.providerTenantName = providerTenantName;
		this.subTenantName = subTenantName;
		this.metricType = metricType;
		this.granularity = granularity;
		this.dataPercentile = dataPercentile;
		this.percentile = percentile;
		this.performanceData = performanceData;
	}

}
